scala.sys.process.ProcessBuilder

# Sink

#### trait Sink extends AnyRef

Represents everything that can receive an output from a scala.sys.process.ProcessBuilder.

Source
  ProcessBuilder.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
FileBuilder, ProcessBuilder
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Sink
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def toSink: ProcessBuilder

   Attributes
     protected

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def #<(b: ProcessBuilder): ProcessBuilder

   Reads the output of a scala.sys.process.ProcessBuilder into the input stream of this process.

4. #### def #<(in: ⇒ InputStream): ProcessBuilder

   Reads the given InputStream into the input stream of this process.

   Reads the given InputStream into the input stream of this process. The argument is call-by-name, so the stream is recreated, read, and closed each time this process is executed.

5. #### def #<(f: URL): ProcessBuilder

   Reads the given URL into the input stream of this process.

6. #### def #<(f: File): ProcessBuilder

   Reads the given file into the input stream of this process.

7. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Sink to any2stringadd[Sink] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

8. #### def ->[B](y: B): (Sink, B)

   Implicit information
     This member is added by an implicit conversion from Sink to ArrowAssoc[Sink] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

9. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def ensuring(cond: (Sink) ⇒ Boolean, msg: ⇒ Any): Sink

    Implicit information
      This member is added by an implicit conversion from Sink to Ensuring[Sink] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (Sink) ⇒ Boolean): Sink

    Implicit information
      This member is added by an implicit conversion from Sink to Ensuring[Sink] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): Sink

    Implicit information
      This member is added by an implicit conversion from Sink to Ensuring[Sink] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): Sink

    Implicit information
      This member is added by an implicit conversion from Sink to Ensuring[Sink] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Sink to StringFormat[Sink] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### def →[B](y: B): (Sink, B)

    Implicit information
      This member is added by an implicit conversion from Sink to ArrowAssoc[Sink] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Sink to any2stringadd[Sink]

### Inherited by implicit conversion StringFormat from Sink to StringFormat[Sink]

### Inherited by implicit conversion Ensuring from Sink to Ensuring[Sink]

### Inherited by implicit conversion ArrowAssoc from Sink to ArrowAssoc[Sink]

### Ungrouped